"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EvamAppBarLayout = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const React = __importStar(require("react"));
const react_1 = require("react");
const material_1 = require("@mui/material");
const Box_1 = __importDefault(require("@mui/material/Box"));
const EvamTabContext_1 = require("./EvamTabContext");
const react_router_dom_1 = require("react-router-dom");
const EvamAppBarHeaderTabs_1 = require("./header/EvamAppBarHeaderTabs");
const EvamAppBarHeaderMenu_1 = require("./header/EvamAppBarHeaderMenu");
const icons_material_1 = require("@mui/icons-material");
const EvamAppBarHeaderWithBackButton_1 = require("./header/EvamAppBarHeaderWithBackButton");
const EvamSearchInput_1 = require("./header/EvamSearchInput");
/**
 * Evam App bar layout, basis for applications using the App bar component
 * @param props Props for the component
 * @constructor
 */
function EvamAppBarLayout(props) {
    var _a;
    const { children, tabs, extraFunction, searchHint, showSearchCancel, ...other } = props;
    const [activeTabId, setActiveTabId] = React.useState(0);
    const [subTabId, setSubTabId] = React.useState(0);
    const [previousTabId, setPreviousSubTabId] = React.useState(0);
    const [specialComponent, setSpecialComponent] = React.useState(null);
    const [isMenuOpen, setIsMenuOpen] = React.useState(false);
    const context = new EvamTabContext_1.EvamAppBarContextModel(activeTabId, previousTabId, subTabId, setActiveTabId, setPreviousSubTabId, setSubTabId, specialComponent, setSpecialComponent, isMenuOpen, setIsMenuOpen);
    const searchTextHint = (searchHint) ? searchHint : "Search";
    const showCancel = (showSearchCancel != null) ? showSearchCancel : false;
    const navigate = (0, react_router_dom_1.useNavigate)();
    const ref = (0, react_1.useRef)();
    (_a = ref.current) === null || _a === void 0 ? void 0 : _a.scrollTo(0, 0);
    return ((0, jsx_runtime_1.jsxs)(EvamTabContext_1.EvamTabContext.Provider, { value: context, children: [(0, jsx_runtime_1.jsx)(Box_1.default, { sx: {
                    borderBottom: 1, borderColor: 'divider', position: "fixed", top: 0,
                    zIndex: 999, backgroundColor: "#000000",
                    width: "100%"
                }, children: (0, jsx_runtime_1.jsxs)(react_router_dom_1.Routes, { children: [(0, jsx_runtime_1.jsx)(react_router_dom_1.Route, { path: "/", element: (0, jsx_runtime_1.jsx)(react_1.Fragment, { children: (0, jsx_runtime_1.jsx)(EvamAppBarHeaderTabs_1.EvamAppBarHeaderTabs, { special: extraFunction, children: tabs }) }) }), (0, jsx_runtime_1.jsx)(react_router_dom_1.Route, { path: "/search", element: 
                            // <EvamSearchBar showCancel={showCancel} searchTextHint={searchTextHint}/>
                            (0, jsx_runtime_1.jsx)(EvamAppBarHeaderWithBackButton_1.EvamAppBarHeaderWithBackButton, { special: (showCancel) ?
                                    (0, jsx_runtime_1.jsx)(material_1.Button, { onClick: () => navigate("/search?searchText="), children: (0, jsx_runtime_1.jsx)(material_1.Grid, { padding: "1px", container: true, spacing: 0, height: 96, width: 96, direction: "column", alignItems: "center", justifyContent: "center", children: (0, jsx_runtime_1.jsx)(icons_material_1.Close, { sx: { color: 'white', height: 96 }, fontSize: "large" }) }) })
                                    : undefined, children: (0, jsx_runtime_1.jsx)(EvamSearchInput_1.EvamSearchInput, { searchTextHint: searchTextHint }) }) }), (0, jsx_runtime_1.jsx)(react_router_dom_1.Route, { path: "/hmenu/:menuId", element: (0, jsx_runtime_1.jsx)(EvamAppBarHeaderMenu_1.EvamAppBarHeaderMenu, { special: extraFunction }) })] }) }), (0, jsx_runtime_1.jsx)(Box_1.default, { ref: ref, sx: { width: '100%', marginTop: "96px", overflowX: "hidden" }, ...other, children: children })] }));
}
exports.EvamAppBarLayout = EvamAppBarLayout;
//# sourceMappingURL=EvamAppBarLayout.js.map