"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EvamHamburgerMenu = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const material_1 = require("@mui/material");
const Menu_1 = __importDefault(require("@mui/icons-material/Menu"));
const styles_1 = require("@mui/material/styles");
const Menu_2 = __importDefault(require("@mui/material/Menu"));
const EvamTabContext_1 = require("./EvamTabContext");
const StyledMenu = (0, styles_1.styled)((props) => ((0, jsx_runtime_1.jsx)(Menu_2.default, { elevation: 0, ...props })))(({ theme }) => ({
    '& .MuiPaper-root': {
        borderRadius: 0,
        '& .MuiMenuItem-root': {
            '& .MuiSvgIcon-root': {
                fontSize: 18,
                color: theme.palette.text.secondary,
            },
            '&:active': {
                backgroundColor: (0, styles_1.alpha)(theme.palette.text.disabled, theme.palette.action.selectedOpacity),
            },
        },
    },
}));
/**
 * Evam hamburger menu component, this component can be used as an Extra
 * Function for the EvamAppBarLayout to show a hamburger menu
 * @param props component props
 * @constructor
 */
function EvamHamburgerMenu(props) {
    const { children, sx, ...other } = props;
    const [anchorEl, setAnchorEl] = (0, react_1.useState)(null);
    return ((0, jsx_runtime_1.jsx)("div", { children: (0, jsx_runtime_1.jsx)(EvamTabContext_1.EvamTabContext.Consumer, { children: context => {
                if (!context.isMenuOpen)
                    setAnchorEl(null);
                const handleClick = (event) => {
                    context.setIsMenuOpen(true);
                    setAnchorEl(event.currentTarget);
                };
                const open = Boolean(anchorEl);
                return ((0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)(material_1.Button, { id: "demo-customized-button", "aria-controls": open ? 'demo-customized-menu' : undefined, "aria-haspopup": "true", "aria-expanded": open ? 'true' : undefined, onClick: handleClick, children: (0, jsx_runtime_1.jsx)(material_1.Grid, { padding: "0px", container: true, spacing: 0, height: 96, width: 96, direction: "column", alignItems: "center", justifyContent: "center", children: (0, jsx_runtime_1.jsx)(Menu_1.default, { sx: { color: "white" }, fontSize: "large" }) }) }), (0, jsx_runtime_1.jsx)(StyledMenu, { id: "demo-customized-menu", MenuListProps: {
                                'aria-labelledby': 'demo-customized-button',
                            }, anchorEl: anchorEl, keepMounted: true, open: open, onClose: () => setAnchorEl(null), anchorOrigin: {
                                vertical: 'top',
                                horizontal: 'left',
                            }, transformOrigin: {
                                vertical: 'top',
                                horizontal: 'left',
                            }, sx: sx, ...other, children: children })] }));
            } }) }));
}
exports.EvamHamburgerMenu = EvamHamburgerMenu;
//# sourceMappingURL=EvamHamburgerMenu.js.map