"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EvamMenuItem = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const MenuItem_1 = __importDefault(require("@mui/material/MenuItem"));
const EvamTabContext_1 = require("./EvamTabContext");
const react_router_dom_1 = require("react-router-dom");
const formatRoutePathByMenuId_1 = require("./utils/formatRoutePathByMenuId");
/**
 * Component for an item in the EvamHamburgerMenu that can be navigated to
 * @param props component props
 * @constructor
 */
function EvamMenuItem(props) {
    const { children, id, ...other } = props;
    const navigate = (0, react_router_dom_1.useNavigate)();
    return ((0, jsx_runtime_1.jsx)(EvamTabContext_1.EvamTabContext.Consumer, { children: context => (0, jsx_runtime_1.jsx)(MenuItem_1.default, { ...other, onClick: () => {
                context.setIsMenuOpen(false);
                navigate((0, formatRoutePathByMenuId_1.formatRoutePathByMenuId)(id));
            }, children: children }) }));
}
exports.EvamMenuItem = EvamMenuItem;
//# sourceMappingURL=EvamMenuItem.js.map