"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EvamTabContext = exports.DEFAULT_EVAM_TAB_CONTEXT = exports.EvamAppBarContextModel = void 0;
const react_1 = __importDefault(require("react"));
/**
 * Context data model for the Evam App bar component
 */
class EvamAppBarContextModel {
    constructor(activeTabId, previousActiveTabId, subTabId, setActiveTabId, setPreviousActiveTabId, setSubTabId, specialComponent, setSpecialComponent, isMenuOpen, setIsMenuOpen) {
        this.activeTabId = activeTabId;
        this.previousActiveTabId = previousActiveTabId;
        this.subTabId = subTabId;
        this.setActiveTabId = setActiveTabId;
        this.setPreviousActiveTabId = setPreviousActiveTabId;
        this.setSubTabId = setSubTabId;
        this.specialComponent = specialComponent;
        this.setSpecialComponent = setSpecialComponent;
        this.isMenuOpen = isMenuOpen;
        this.setIsMenuOpen = setIsMenuOpen;
    }
    setDelay(ms) {
        return new Promise(res => setTimeout(res, ms));
    }
    setActiveTab(id) {
        this.setDelay(50).then(() => {
            this.setPreviousActiveTabId(this.activeTabId);
            this.setSubTabId(id);
            this.setDelay(150).then(() => {
                window.scrollTo({ top: 0 });
                this.setActiveTabId(id);
            });
        });
    }
    handleChange(event, newValue) {
        this.setActiveTab(newValue);
    }
}
exports.EvamAppBarContextModel = EvamAppBarContextModel;
exports.DEFAULT_EVAM_TAB_CONTEXT = new EvamAppBarContextModel(0, 0, 0, (arg0) => { console.log(arg0); }, (arg0) => { console.log(arg0); }, (arg0) => { console.log(arg0); }, null, (arg0) => { console.log(arg0); }, false, (arg0) => { console.log(arg0); });
exports.EvamTabContext = react_1.default.createContext(exports.DEFAULT_EVAM_TAB_CONTEXT);
//# sourceMappingURL=EvamTabContext.js.map