import { Feature, Geometry } from "geojson";
import { LayerPointData, LayerShapeData } from "../../../../../../domain/LayerData";
import mapboxgl from "mapbox-gl";
declare const generateImageLayout: (imageId: string) => mapboxgl.SymbolLayout;
declare const imagePaintStyle: mapboxgl.SymbolPaint;
declare const generateImageLayer: (layerId: string, sourceId: string, imageId: string) => mapboxgl.SymbolLayer;
declare const generateTextLayer: (labelId: string, sourceId: string) => mapboxgl.SymbolLayer;
declare const generateFillLayer: (layerId: string, sourceId: string) => mapboxgl.FillLayer;
declare const generatePointsNavLayerGeoJsonFeatures: (layerDataArray: Array<LayerPointData>) => Feature<Geometry, {
    [p: string]: any;
}>[];
declare const generateShapeNavLayerGeoJsonFeatures: (layerDataArray: Array<LayerShapeData>) => Feature<Geometry, {
    [p: string]: any;
}>[];
declare const generateGeoJsonPointsLayerFromFeatures: (geoJsonFeatures: Feature<Geometry, {
    [p: string]: any;
}>[]) => mapboxgl.AnySourceData;
export { generateImageLayout, generateImageLayer, generateTextLayer, generateFillLayer, generatePointsNavLayerGeoJsonFeatures, generateShapeNavLayerGeoJsonFeatures, generateGeoJsonPointsLayerFromFeatures, imagePaintStyle };
