"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CallDisconnectCause = void 0;
var CallDisconnectCause;
(function (CallDisconnectCause) {
    /**
 * Disconnected because there was an error, such as a problem with the network
 */
    CallDisconnectCause["ERROR"] = "ERROR";
    /**
     * Disconnected because of a local user-initiated action, such as hanging up.
     */
    CallDisconnectCause["LOCAL"] = "LOCAL";
    /**
     * Disconnected because of a remote user-initiated action, such as the other party hanging up up.
     */
    CallDisconnectCause["REMOTE"] = "REMOTE";
    /**
     * Disconnected because it has been canceled.
     */
    CallDisconnectCause["CANCELED"] = "CANCELED";
    /**
     * Disconnected because there was no response to an incoming call.
     */
    CallDisconnectCause["MISSED"] = "MISSED";
    /**
     * Disconnected because the user rejected an incoming call.
     */
    CallDisconnectCause["REJECTED"] = "REJECTED";
    /**
     * Disconnected because the other party was busy.
     */
    CallDisconnectCause["BUSY"] = "BUSY";
    /**
     * Disconnected because of a restriction on placing the call, such as dialing in airplane mode.
     */
    CallDisconnectCause["RESTRICTED"] = "RESTRICTED";
    /**
     * Disconnected for reason not described by other disconnect codes.
     */
    CallDisconnectCause["OTHER"] = "OTHER";
    /**
     * Disconnected because the connection manager did not support the call. The call will be tried again without a connection manager
     */
    CallDisconnectCause["CONNECTION_MANAGER_NOT_SUPPORTED"] = "CONNECTION_MANAGER_NOT_SUPPORTED";
    /**
     * Disconnected because the call was pulled from the current device to another device.
     */
    CallDisconnectCause["CALL_PULLED"] = "CALL_PULLED";
    /**
     * Disconnected because the user did not locally answer the incoming call, but it was answered on another device where the call was ringing.
     */
    CallDisconnectCause["ANSWERED_ELSEWHERE"] = "ANSWERED_ELSEWHERE";
    /**
     * Disconnected because of an unknown or unspecified reason.
     */
    CallDisconnectCause["UNKNOWN"] = "UNKNOWN";
})(CallDisconnectCause || (CallDisconnectCause = {}));
exports.CallDisconnectCause = CallDisconnectCause;
//# sourceMappingURL=CallDisconnectCause.js.map