declare class DestinationSiteLocation {
    latitude: number;
    longitude: number;
    street: string | undefined;
    locality: string | undefined;
    municipality: string | undefined;
    routeDirections: string | undefined;
    pickupTime: string | undefined;
    /**
     * Location of a destination site
     * @param latitude Latitude in decimal degrees
     * @param longitude Longitude in decimal degrees
     * @param street The street name if available
     * @param locality The locality name if available
     * @param municipality The municipality name if available
     * @param routeDirections The route directions text if available
     * @param pickupTime The pickup time text if available
     */
    constructor(latitude: number, longitude: number, street: string | undefined, locality: string | undefined, municipality: string | undefined, routeDirections: string | undefined, pickupTime: string | undefined);
    /**
     * Create from JSON
     * @param loc JSON object
     */
    static fromJSON(loc: any): DestinationSiteLocation;
}
export { DestinationSiteLocation };
