"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DestinationSiteLocation = void 0;
/* istanbul ignore next */
class DestinationSiteLocation {
    /**
     * Location of a destination site
     * @param latitude Latitude in decimal degrees
     * @param longitude Longitude in decimal degrees
     * @param street The street name if available
     * @param locality The locality name if available
     * @param municipality The municipality name if available
     * @param routeDirections The route directions text if available
     * @param pickupTime The pickup time text if available
     */
    constructor(latitude, longitude, street, locality, municipality, routeDirections, pickupTime) {
        this.latitude = latitude;
        this.longitude = longitude;
        this.street = street;
        this.locality = locality;
        this.municipality = municipality;
        this.routeDirections = routeDirections;
        this.pickupTime = pickupTime;
    }
    /**
     * Create from JSON
     * @param loc JSON object
     */
    static fromJSON(loc) {
        if (loc.latitude === undefined || loc.longitude === undefined) {
            throw Error('latitude and longitude must be defined for DestinationSiteLocation');
        }
        return new DestinationSiteLocation(loc.latitude, loc.longitude, loc.street, loc.locality, loc.municipality, loc.routeDirections, loc.pickupTime);
    }
}
exports.DestinationSiteLocation = DestinationSiteLocation;
//# sourceMappingURL=DestinationSiteLocation.js.map