declare class Location {
    latitude: number;
    longitude: number;
    timestamp: Date | undefined;
    /**
     * Location on a map
     * @param latitude latitude coordinate of the location
     * @param longitude longitude coordinate of the location
     * @param timestamp time the location was provided (ERRATA: this can in some cases be a number instead of a Date)
     */
    constructor(latitude: number, longitude: number, timestamp: Date | undefined);
    /**
     * Create from JSON
     * @param loc JSON object
     */
    static fromJSON(loc: any): Location;
}
export { Location };
