"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OperationPriority = void 0;
class OperationPriority {
    /**
     * Selectable operation priority
     * @param id id of the priority
     * @param name name of the priority
     */
    constructor(id, name) {
        this.id = id;
        this.name = name;
    }
    /**
     * Create from JSON
     * @param operationPriority JSON object
     */
    static fromJSON(operationPriority) {
        if (operationPriority.name === undefined || operationPriority.id === undefined) {
            throw Error('name and uid must be declared in Patient');
        }
        return new OperationPriority(operationPriority.id, operationPriority.name);
    }
}
exports.OperationPriority = OperationPriority;
//# sourceMappingURL=OperationPriority.js.map