import { OperationUnitSource } from "./OperationUnitSource";
/**
 * Operation unit corresponds to a vehicle on a case and it is related to the Assigned Resource values from SOS.
 */
declare class OperationUnit {
    unitId: string;
    status: string | undefined;
    role: string | undefined;
    source: OperationUnitSource | undefined;
    eta: Date | undefined;
    reportedInArea: string | undefined;
    /**
     *
     * @param unitId The unique id of the unit, corresponds to the Resource ID for Assigned Resource from dispatch
     * @param status The current Status, also corresponds to the Status for Assigned Resource from dispatch
     * @param role The role of the unit, only potentially available if source is CLOUD
     * @param source The data source of the unit: RAKEL (from dispatch) or CLOUD (Evam Central Services)
     * @param eta The estimated time of arrival for this unit, only potentially available if source is CLOUD
     * @param reportedInArea Corresponds to reportedInArea for Assigned Resource from dispatch
     */
    constructor(unitId: string, status: string | undefined, role: string | undefined, source: OperationUnitSource | undefined, eta: Date | undefined, reportedInArea: string | undefined);
    static fromJSON(data: any): OperationUnit;
}
export { OperationUnit };
