declare class VehicleStatus {
    name: string;
    event: string | undefined;
    successorName: string | undefined;
    isStartStatus: boolean;
    isEndStatus: boolean;
    categoryType: string;
    categoryName: string;
    /**
     * Vehicle status
     * @param name The name of the vehicle status
     * @param event The event associated to this status, if any
     * @param successorName The name of a typical successor to this status based on vehicle configuration
     * @param isStartStatus true if this status is engaged at the start of a new operation
     * @param isEndStatus true if this status closes the current operation
     * @param categoryType Type if status: 'mission' or 'other'
     * @param categoryName The name of the category as defined by the vehicle user
     */
    constructor(name: string, event: string | undefined, successorName: string | undefined, isStartStatus: boolean, isEndStatus: boolean, categoryType: string, categoryName: string);
    /**
     * Creates from JSON
     * @param status JSON object
     */
    static fromJSON(status: any): VehicleStatus;
}
export { VehicleStatus };
